低危 ImageMagick内存泄露漏洞(CNVD-2018-21518)

CVE编号

CVE-2018-18544

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-10-21
漏洞描述
ImageMagick是美国ImageMagick Studio公司的一套开源的图象处理软件。该软件可读取、转换、写入多种格式的图片。

ImageMagick 7.0.8-13 Q16版本中的coders/msl.c文件的‘WriteMSLImage’函数存在内存泄露漏洞。攻击者可利用该漏洞造成拒绝服务。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://github.com/ImageMagick/ImageMagick/issues/1360
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 graphicsmagick graphicsmagick * Up to
(excluding)
1.3.31
运行在以下环境
应用 imagemagick imagemagick 7.0.8-13 -
运行在以下环境
系统 redhat_7 inkscape * Up to
(excluding)
0:0.92.2-3.el7
运行在以下环境
系统 suse_12 ImageMagick * Up to
(excluding)
6.8.8.1-71.93
运行在以下环境
系统 ubuntu_18.04.5_lts imagemagick * Up to
(excluding)
8:6.9.7.4+dfsg-16ubuntu6.7
运行在以下环境
系统 ubuntu_18.04_lts imagemagick * Up to
(excluding)
8:6.9.7.4+dfsg-16ubuntu6.7
运行在以下环境
系统 ubuntu_18.10 imagemagick * Up to
(excluding)
8:6.9.10.8+dfsg-1ubuntu2.2
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-772 对已超过有效生命周期的资源丧失索引
阿里云安全产品覆盖情况